# mypy-boto3-elastictranscoder

[![PyPI - mypy-boto3-elastictranscoder](https://img.shields.io/pypi/v/mypy-boto3-elastictranscoder.svg?color=blue)](https://pypi.org/project/mypy-boto3-elastictranscoder)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-elastictranscoder.svg?color=blue)](https://pypi.org/project/mypy-boto3-elastictranscoder)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

- [mypy-boto3-elastictranscoder](#mypy-boto3-elastictranscoder)
  - [How to use](#how-to-use)
  - [Automated type discovery](#automated-type-discovery)


Type annotations for
[boto3.ElasticTranscoder 1.13.24](https://boto3.amazonaws.com/v1/documentation/api/1.13.24/reference/services/elastictranscoder.html#ElasticTranscoder) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 2.0.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

- [mypy-boto3-elastictranscoder](#mypy-boto3-elastictranscoder)
  - [How to use](#how-to-use)
    - [Type checking](#type-checking)
  - [How it works](#how-it-works)

## How to use

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `ElasticTranscoder` service.

```bash
python -m pip install boto3-stubs[elastictranscoder]

# update installed packages index for automated type discovery
python -m mypy_boto3
```

Use `boto3` with `mypy_boto3_elastictranscoder` in your project and enjoy type checking and auto-complete.

```python
import boto3

from mypy_boto3_elastictranscoder import ElasticTranscoderClient

# Now mypy can check if your code is valid.
client: ElasticTranscoderClient = boto3.client("elastictranscoder")

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: ElasticTranscoderClient = session.client("elastictranscoder")



# Waiters are also supported

import mypy_boto3_elastictranscoder.waiter as elastictranscoder_waiters

job_complete_waiter: elastictranscoder_waiters.JobCompleteWaiter = client.get_waiter("job_complete")


# Annotated paginators are included as well

import mypy_boto3_elastictranscoder.paginator as elastictranscoder_paginators

list_jobs_by_pipeline_paginator: elastictranscoder_paginators.ListJobsByPipelinePaginator = client.get_paginator("list_jobs_by_pipeline")
list_jobs_by_status_paginator: elastictranscoder_paginators.ListJobsByStatusPaginator = client.get_paginator("list_jobs_by_status")
list_pipelines_paginator: elastictranscoder_paginators.ListPipelinesPaginator = client.get_paginator("list_pipelines")
list_presets_paginator: elastictranscoder_paginators.ListPresetsPaginator = client.get_paginator("list_presets")
```

## Automated type discovery

`mypy_boto3` package can generate index for `mypy_boto3_elastictranscoder` and other installed services.

```bash
# Run this command when you add or remove service packages
python -m mypy_boto3
```

Generated index provides overloads for `boto3.client` and `boto3.service`,
`boto3.Session.client` and `boto3.Session.resource` functions,
so explicit type annotations are not needed.

- `mypy` supports function overloads as expected
- `PyCharm` also supports function overloads, but consumes a lot of RAM, use carefully
- `VSCode` does not currently support function overloads

Also, generated index allows you to import types from `mypy_boto3`:

```python
# you can replace imports
import mypy_boto3_elastictranscoder as elastictranscoder
from mypy_boto3_elastictranscoder import ElasticTranscoderClient

# with these
from mypy_boto3 import elastictranscoder
from mypy_boto3.elastictranscoder import ElasticTranscoderClient
```